%set_verify_elf_method skip

Name: 	  pantum
Version:  1.1.96
Release:  alt1
Summary:  Pantum drivers
License: distributable
Group: System/Configuration
Source0: %name-%version.tgz
Source1: ptps.bpatch

Url: https://global.pantum.com/

Packager: Anton Shevtsov <shevtsov.anton@gmail.com>

Requires: bsdiff cups sane libcups libjpeg8
AutoReqProv: no


BuildArch: x86_64

%description 
CUPS and SANE drivers for Pantum series printer and scanner.

%prep
%setup -v
bspatch usr/lib/cups/filter/ptps usr/lib/cups/filter/ptps %SOURCE1


%install
#pantum-1.1.94/
#├── etc
#│   ├── sane.d
#│   │   └── dll.d
#│   └── udev
#│       └── rules.d
#├── opt
#│   └── pantum
#│       ├── bin
#│       ├── ippfilter
#│       └── lib
#└── usr
#    ├── lib
#    │   └── cups
#    │       └── filter
#    ├── lib64
#    │   └── sane
#    └── share
#        ├── cups
#        │   └── model
#        │       └── Pantum
#        └── doc
#            └── pantum

#etc
mkdir -p %buildroot/%_sysconfdir/udev/rules.d/
mkdir -p %buildroot/%_sysconfdir/sane.d/dll.d/

#opt
mkdir -p %buildroot/opt/%name/{lib,bin,ippfilter}

#usr
mkdir -p %buildroot/%_usr/lib/cups/filter

mkdir -p %buildroot/%_libdir/sane

mkdir -p %buildroot/%_datadir/doc/%name
mkdir -p %buildroot/%_datadir/cups/model/Pantum

cp -Pr opt/* %buildroot/opt/
cp -Pr usr/* %buildroot/%_usr/
cp -Pr etc/* %buildroot/%_sysconfdir/

%post
QPDF_EXIST=$(qpdf --version &> /dev/null ;echo $?)
if [ "$QPDF_EXIST" == "127" ];then
    QPDF_VERSION=1
else
    QPDF_VERSION=`qpdf --version |grep version |awk '{print $3}' |awk -F\. '{print $1}' | head -1`
fi

if [ $QPDF_VERSION -lt 8 ];then
    echo "/opt/pantum/lib" > /etc/ld.so.conf.d/pantum.conf
    #/sbin/ldconfig
fi


%preun
rm -f /etc/ld.so.conf.d/pantum.conf
#/sbin/ldconfig


%files
%exclude %_libexecdir/debug
/opt/%name/*
%_sysconfdir/*
%_usr/*
%_libdir/sane/*
%_datadir/doc/*
%_datadir/cups/model/Pantum/*


%changelog
* Wed Sep 21 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.96-alt1
- New version

* Wed Sep 21 2022 Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.94-alt2
- Add patch and /etc/pantumhack file

* Thu Sep 20 2022  Anton Shevtsov <shevtsov.anton@gmail.com> 1.1.94-alt1
- New version

* Wed Oct 27 2021  Anton Shevtsov <x09@altlinux.org> <shevtsov.anton@gmail.com> 1.1.84-alt2
- New version

* Mon Feb 3 2020 Anton Shevtsov <x09@altlinux.org> 1.1.5-alt2
- Repack from official DEB package for Ubuntu
